| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::Instrument::CIEEE488ResourceManager Class Referenceabstract

IEEE488 Instrument Resource Manager class. More...

`#include <IEEE488Instrument.h>`

Inheritance diagram for MTL::Instrument::CIEEE488ResourceManager:
[legend]

## Public Member Functions
| CIEEE488ResourceManager ()
virtual | ~CIEEE488ResourceManager ()
virtual bool | Initialize ()=0
| Initialize the Resource Manager.
virtual bool | FindResources (CResourceList &rList, std::string Filter="?*")=0
| Find IEEE488 resources.
I32 | Status (void)
virtual std::string | StatusDescription (I32 Status)=0
| Return description of status word.
virtual bool | Timeout (void)=0
| Last operation timed out.

## Protected Attributes
CMutex | m_Lock
| Lock onto the resource manager.
I32 | m_Status
| Status of last operation.

## Detailed Description

IEEE488 Instrument Resource Manager class.

Definition at line 22 of file IEEE488Instrument.h.

## Constructor & Destructor Documentation

## ◆ CIEEE488ResourceManager()

MTL::Instrument::CIEEE488ResourceManager::CIEEE488ResourceManager | ( |  | ) |
| inline

Definition at line 30 of file IEEE488Instrument.h.

## ◆ ~CIEEE488ResourceManager()

virtual MTL::Instrument::CIEEE488ResourceManager::~CIEEE488ResourceManager | ( |  | ) |
| inline virtual

Definition at line 32 of file IEEE488Instrument.h.

## Member Function Documentation

## ◆ FindResources()

virtual bool MTL::Instrument::CIEEE488ResourceManager::FindResources | ( | CResourceList & | rList,
|  | std::string | Filter = "?*" )
| pure virtual

Find IEEE488 resources.

Parameters

  [out] | rList | List of matching resources.
  [in] | Filter | Grep expression to select resource names.

Returns
  True if successful.

Implemented in MTL::Instrument::CUSBTMCResourceManager, and MTL::Instrument::CVISAResourceManager.

## ◆ Initialize()

virtual bool MTL::Instrument::CIEEE488ResourceManager::Initialize | ( |  | ) |
| pure virtual

Initialize the Resource Manager.

Implemented in MTL::Instrument::CUSBTMCResourceManager, and MTL::Instrument::CVISAResourceManager.

## ◆ Status()

I32 MTL::Instrument::CIEEE488ResourceManager::Status | ( | void |  | ) |
| inline

Definition at line 46 of file IEEE488Instrument.h.

## ◆ StatusDescription()

virtual std::string MTL::Instrument::CIEEE488ResourceManager::StatusDescription | ( | I32 | Status | ) |
| pure virtual

Return description of status word.

Parameters

  [in] | Status | Status word.

Returns
  Status description.

Implemented in MTL::Instrument::CUSBTMCResourceManager, and MTL::Instrument::CVISAResourceManager.

## ◆ Timeout()

virtual bool MTL::Instrument::CIEEE488ResourceManager::Timeout | ( | void |  | ) |
| pure virtual

Last operation timed out.

Implemented in MTL::Instrument::CUSBTMCResourceManager, and MTL::Instrument::CVISAResourceManager.

## Member Data Documentation

## ◆ m_Lock

CMutex MTL::Instrument::CIEEE488ResourceManager::m_Lock
| mutable protected

Lock onto the resource manager.

Definition at line 25 of file IEEE488Instrument.h.

## ◆ m_Status

I32 MTL::Instrument::CIEEE488ResourceManager::m_Status
| protected

Status of last operation.

Definition at line 26 of file IEEE488Instrument.h.

The documentation for this class was generated from the following file:

- Common/IEEE488Instrument/include/IEEE488Instrument.h